跳至內容
ShopentlyLearn

取得 · 規則 — 搜尋分析與規則

檢視搜尋規則. 適用於外部整合操作。

GET/api/v1/search/rules/{rule_id}

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/search/rules/example \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

回應

{
  "data": {
    "category_ids": [
      "example"
    ],
    "created_at": "2026-01-01T12:00:00Z",
    "enabled": true,
    "id": "example",
    "is_available": true,
    "market_ids": [
      "example"
    ],
    "market_scope": "all",
    "name": "Example",
    "phrase_groups": [
      {
        "locale": "en",
        "phrases": [
          "example"
        ]
      }
    ],
    "product_ids": [
      "example"
    ],
    "updated_at": "2026-01-01T12:00:00Z",
    "version": 1
  },
  "meta": {
    "locale": "en",
    "market_code": "PL",
    "market_id": "example",
    "request_id": "example"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
檢視搜尋規則search.rule:read